﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="bo"
    elementFormDefault="qualified"
    
    xmlns:xs="http://www.w3.org/2001/XMLSchema">

  <xs:include schemaLocation="ViewModel.Globals.xsd"/>

  <xs:complexType name="elementDescription" abstract="true">

  </xs:complexType>
  
  <xs:complexType name="elementProperty">
    <xs:annotation>
      <xs:documentation>
        L'élément 'Property' permet de définir une propriété standard.
      </xs:documentation>
    </xs:annotation>
    <xs:sequence minOccurs="0" maxOccurs="1">
      <xs:element name ="Description">
        <xs:simpleType>
          <xs:restriction base="xs:string"/>
        </xs:simpleType>
      </xs:element>
    </xs:sequence>
    <xs:attribute name="Name" type="xs:string" use="required"/>
    <xs:attribute name="Type" type="xs:string" use="required"/>
    <xs:attribute name="DefaultValue" type="xs:string" use="optional"/>
    <xs:attribute name="Get" type="accessor" default="Public"/>
    <xs:attribute name="Set" type="accessor" default="Public"/>
  </xs:complexType>

</xs:schema>
